# MiCasaApp (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.client
Class MiCasaApp

    java.lang.Object
      com.threerings.micasa.client.MiCasaApp

    public class MiCasaApp

extends Object

The micasa app is the main point of entry for the MiCasa client application. It creates and initializes the myriad components of the client and sets all the proper wheels in motion.

Constructor Summary
`MiCasaApp()`

Method Summary
`void` `init()`
`static void` `main(String[] args)`
`void` `run(String server, String username, String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiCasaApp

    public MiCasaApp()

Method Detail

### init

    public void init()
              throws IOException

  Throws:
    `IOException`

### run

    public void run(String server,
                    String username,
                    String password)

### main

    public static void main(String[] args)

Copyright © 2011. All Rights Reserved.